
.btn {
  box-shadow: 2px;
  border-radius: 0px;
  border-color: darkblue;
  color: rgb(224, 230, 232);
  background-color: #2555a0;
  box-shadow: 0px 0px 0px 2px transparent;
  transition: box-shadow 0.3s ease-in-out;
}

.btn:hover {
  box-shadow: 0px 0px 3px 2px black;
}

.an {
  position: relative;
  background-color: #2555a0;
  color: white;
  text-decoration: none;
  text-transform: uppercase;
  font-size: 1.0em;
  letter-spacing: 0.1em;
  font-weight: 400;
  padding: 10px 20px;
  transition: 0.5s;
  gap: 2px;
}

.an:hover {
  background-color: var(--clr);
  color: var(--clr);
  letter-spacing: 0.2em;
  box-shadow: 0 0 35px var(--clr);
}

.an::before {
  content: '';
  position: absolute;
  inset: 2px;
  background: #2555a0;
}

.an span {
  position: relative;
  z-index: 1;
}

.an i {
  position: absolute;
  inset: 0;
  display: block;
}

.an i::before {
  content: '';
  position: absolute;
  top: 0;
  left: 80%;
  width: 10px;
  height: 4px;
  background-color: white;

  transform: translateX(-50x) skewX(325deg);
  transition: 0.5e;
}

.an:hover i::before {
  width: 20px;
  left: 20%;
}

.an i::after {
  content: '';
  position: absolute;
  bottom: 0;
  left: 80%;
  width: 10px;
  height: 4px;
  background-color: white;
  transform: translateX(-50x) skewX(325deg);
  transition: 0.5e;
}

.an:hover i::after {
  width: 20px;
  left: 80%;
}

.navbar-nav li {
  margin-right: 20px;
}

@media (max-width: 991px) {
  .navbar-collapse {
    justify-content: center;
  }

  .navbar-nav {
    flex-direction: column;
    text-align: center;
  }

  .navbar-nav .nav-item {
    margin-bottom: 25px;
  }

}

/* Fixed header styles */
/* .fixed-header {
    position: fixed;
   
  } */

.link-secondary i {
  color: white;
}

.image-button {
  position: relative;
  display: inline-block;
  cursor: pointer;
  overflow: hidden;
}

.image-button img {
  width: 100%;
  height: auto;
  transition: transform 0.3s;
}

.image-button .button-overlay {
  position: absolute;
  bottom: -100%;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.5);
  display: flex;
  align-items: center;
  justify-content: center;
  transition: bottom 0.3s;
}

.image-button:hover img {
  transform: scale(1.1);
}

.image-button:hover .button-overlay {
  bottom: 0;
}


/* ================card css =================*/
/* --------------------------------------*/

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: 'Poppins', sans-serif;
}

.container {
  position: relative;
  display: flex;
  padding: 80px 40px;
  justify-content: center;
  align-items: center;
  flex-wrap: wrap;
  gap: 80px;
}

.card {
  position: relative;
  width: 450px;
  height: 180px;
  background: #fff;
  transition: 0.5s;
}

.card:hover {
  height: 470px;
}

.card .lines {
  position: absolute;
  inset: 0;
  background: #000;
  overflow: hidden;
}

.card .lines::before {
  content: '';
  position: absolute;
  top: 50%;
  left: 50%;
  width: 700px;
  height: 120px;
  background: linear-gradient(transparent, #05a4b3, #05a4b3, #05a4b3,transparent);
  animation: animate 4s linear infinite;
  animation-play-state: paused;
}

.card:hover .lines::before {
  animation-play-state: running;
}

@keyframes animate {
  0% {
    transform: translate(-50%, -50%) rotate(0deg);
  }

  100% {
    transform: translate(-50%, -50%) rotate(360deg);
  }
}

.card .lines::after {
  content: '';
  position: absolute;
  inset: 3px;
  background: #292929;
}

.card .imgBx {
  position: absolute;
  top: -26px;
  left: 50%;
  width: 250px;
  height: 150px;
  transform: translateX(-50%);
  background: #000;
  transition: 0.5s;
  z-index: 10;
  overflow: hidden;
  display: flex;
  justify-content: center;
  align-items: center;
}

.card:hover .imgBx {
  top: 25px;
  width: 200px;
  height: 200px;
}

.card .imgBx::before {
  content: '';
  position: absolute;
  top: 50%;
  left: 50%;
  width: 500px;
  height: 150px;
  transform: translate(-50%, -50%);
  background: linear-gradient(transparent, #5b05f0, #5b05f0, #5b05f0, transparent);
  animation: animateOne 6s linear infinite;
  animation-play-state: paused;
}

.card:hover .imgBx::before {
  animation-play-state: running;
}

@keyframes animateOne {
  0% {
    transform: translate(-50%, -50%) rotate(0deg);
  }

  100% {
    transform: translate(-50%, -50%) rotate(360deg);
  }
}

.card .imgBx::after {
  content: '';
  position: absolute;
  inset: 3px;
  background: white;
}

.card .imgBx img {
  position: relative;
  width: 195px;
  z-index: 1;
  /* filter: brightness(1); */
  opacity: 1;
  transition: 0.5s;
}

.card:hoveer .imgBx img {
  opacity: 1;
}

.card .content {
  position: absolute;
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: flex-end;
  overflow: hidden;
}

.card .content .details {
  padding: 30px 20px;
  text-align: center;
  width: 100%;
  transition: 0.5s;
  transform: translateY(60px);
}

.card:hover .content .details {
  transform: translateY(0px);
}

.card .content .details  p {
  font-size: 1.8 em;
  font-weight: 350;
  color: #e8ebef;
  line-height: 1.7em;
}

/* .card .content .details p {
  color: #fff;
  opacity: 0;
  transition: 0.5em;
} */

.card:hover .content .details p {
  opacity: 1;
}

.card:hover .content .details a {
  display: inline-block;
  padding: 8px 15px;
  background: #2555a0;
  color: #ffffff;
  margin-top: 10px;
  font-weight: bold;
  text-decoration: none;
  opacity: 0;
  transition: 0.5s;
  border-radius: 10px;
}

.card:hover .content .details p,
.card:hover .content .details a {
  opacity: 1;
}

/* ========== contact us css===============*/
/* 
.contactUs{
  position: relative;
  justify-content: center;
  align-items: center;
  flex-wrap: wrap;
  gap: 80px;
}
.contact-section {
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
}

.contact-info {
  color: #fff;
  max-width: 500px;
  line-height: 65px;
  padding-left: 50px;
  font-size: 18px;
}

.contact-info i {
  margin-right: 20px;
  font-size: 25px;
}

.contact-form {
  max-width: 700px;
  margin-right: 50px;
}

.contact-info,
.contact-form {
  flex: 1;
}

.contact-form h2 {
  color: #fff;
  text-align: center;
  font-size: 35px;
  text-transform: uppercase;
  margin-bottom: 30px;
}

.contact-form .text-box {
  background: #000;
  color: #fff;
  border: none;
  width: calc(50% - 10px);
  height: 50px;
  padding: 12px;
  font-size: 15px;
  border-radius: 5px;
  box-shadow: 0 1px 1px rgba(0, 0, 0, 0.1);
  margin-bottom: 20px;
  opacity: 0.9;
}

.contact-form .text-box:first-child {
  margin-right: 15px;
}

.contact-form textarea {
  background: #000;
  color: #fff;
  border: none;
  width: 100%;
  padding: 12px;
  font-size: 15px;
  min-height: 200px;
  max-height: 400px;
  resize: vertical;
  border-radius: 5px;
  box-shadow: 0 1px 1px rgba(0, 0, 0, 0.1);
  margin-bottom: 20px;
  opacity: 0.9;
}

.contact-form .send-btn {
  float: right;
  background: #2E94E3;
  color: #fff;
  border: none;
  width: 120px;
  height: 40px;
  font-size: 15px;
  font-weight: 600;
  text-transform: uppercase;
  letter-spacing: 2px;
  border-radius: 5px;
  cursor: pointer;
  transition: 0.3s;
  transition-property: background;
}

.contact-form .send-btn:hover {
  background: #0582E3;
}

@media screen and (max-width: 950px) {
  .contact-section {
    flex-direction: column;
  }

  .contact-info,
  .contact-form {
    margin: 30px 50px;
  }

  .contact-form h2 {
    font-size: 30px;
  }

  .contact-form .text-box {
    width: 100%;
  }
} */

/*css for alert messages*/

/* .alert-success {
  z-index: 1;
  background: #D4EDDA;
  font-size: 18px;
  padding: 20px 40px;
  min-width: 420px;
  position: fixed;
  right: 0;
  top: 10px;
  border-left: 8px solid #3AD66E;
  border-radius: 4px;
}

.alert-error {
  z-index: 1;
  background: #FFF3CD;
  font-size: 18px;
  padding: 20px 40px;
  min-width: 420px;
  position: fixed;
  right: 0;
  top: 10px;
  border-left: 8px solid #FFA502;
  border-radius: 4px;
} */

/* ##################### 9. contact.html ##################### */

section.contact-area {
  background-image: url('../images/svgs/map-bg.png');
  background-position: center bottom;
  background-repeat: no-repeat;
  background-size: contain;
}

/* ------------- # Address Container ------------- */

.address-box {
  text-align: center;
  color: #ffffff;
  width: 285px;
  margin: 0 95px;
  position: relative;
}

.address-box a {
  color: #ffffff;
  text-decoration: none;
  display: block;
}

.address-box img {
  margin-bottom: 15px;
}

.address-container {
  padding: 20px 0;
  /* background: #0075bb; */
}

.address-container>.row>div::after {
  clear: both;
  content: ' ';
  background: #f6f6f6;
  position: absolute;
  right: 0;
  width: 0.5px;
  height: 100%
}

.address-container>.row>div:last-child::after {
  display: none;
}

/* ------------- # Contact Form Area ------------- */

.contact-form-area {
  background: #005C97;  /* fallback for old browsers */
  background: -webkit-linear-gradient(to right, #363795, #005C97);  /* Chrome 10-25, Safari 5.1-6 */
  background: linear-gradient(to right, #363795, #005C97); /* W3C, IE 10+/ Edge, Firefox 16+, Chrome 26+, Opera 12+, Safari 7+ */

  padding: 20px 10px;
  margin-bottom: 20px;
}

.contact-form-area h2 {
  font-family: 'Poppins', sans-serif;
  font-size: 18px;
  font-weight: 700;
  color: #223645;
  margin-bottom: 39px;
}

.contact-form-area form input[type=text], .contact-form-area form input[type=email], .contact-form-area form textarea {
  width: 100%;
  padding: 15px 20px;
  border: none;
  box-shadow: 0px 5px 20px 0px rgba(150, 176, 203, 0.15);
  margin-bottom: 30px;
  transition: 0.3s;
}

.contact-form-area form input[type=text]:focus, .contact-form-area form input[type=email]:focus, .contact-form-area form textarea:focus {
  box-shadow: 0px 5px 20px 0px rgba(0, 0, 0, 0.15);
  transition: 0.3s;
}

.contact-form-area form textarea {
  height: 300px;
}

.contact-form-area form input[type="submit"] {
  border: none;
}

/* =========== contact boxs =============== */
.cbox1 {

  background: #2555a0;
  padding-top: 10px;
  padding-bottom: 10px;

}


.cbox1:hover {
  background: #0575E6;
  /* fallback for old browsers */
  background: -webkit-linear-gradient(to right, #021B79, #0575E6);
  /* Chrome 10-25, Safari 5.1-6 */
  background: linear-gradient(to right, #021B79, #0575E6);
  /* W3C, IE 10+/ Edge, Firefox 16+, Chrome 26+, Opera 12+, Safari 7+ */

}


.cbox2 {

  background:  #3b67ad;
  padding-top: 10px;
  padding-bottom: 10px;

}

.cbox2:hover {

  background: #6a3093;
  /* fallback for old browsers */
  background: -webkit-linear-gradient(to right, #a044ff, #6a3093);
  /* Chrome 10-25, Safari 5.1-6 */
  background: linear-gradient(to right, #a044ff, #6a3093);
  /* W3C, IE 10+/ Edge, Firefox 16+, Chrome 26+, Opera 12+, Safari 7+ */

}

.cbox3 {
  background:  #5b78a7;
  padding-top: 10px;
  padding-bottom: 10px;
}

.cbox3:hover {
  background: #B24592;
  /* fallback for old browsers */
  background: -webkit-linear-gradient(to right, #F15F79, #B24592);
  /* Chrome 10-25, Safari 5.1-6 */
  background: linear-gradient(to right, #F15F79, #B24592);
  /* W3C, IE 10+/ Edge, Firefox 16+, Chrome 26+, Opera 12+, Safari 7+ */

}

.large-blue-button {
  border-radius: 5px;
  background-color: #2c3b43;
  font-size: 13px;
  font-weight: 500;
  font-family: 'Rubik', sans-serif;
  color: rgb(255, 255, 255);
  text-transform: uppercase;
  line-height: 60px;
  padding: 0 42px 0 43px;
  letter-spacing: 2.6px;
  display: inline-block;
  transition: 0.3s;
}

.large-blue-button:hover {
  color: rgb(255, 255, 255);
  background: #b0306b;
  transition: 0.3s;
}

#textAreaRadius {
  height: auto;
  border-radius: 10px
}

.contacta {
  display: flex;
  justify-content: space-between;
  width: 220px;
  /* Adjust the width as needed */
  margin-bottom: 2px;
}

.contacta span {
  font-weight: bold;
}



/* =========== footer css========= */

footer {
  width: 100%;
  bottom: 0;
  background: linear-gradient(to right, #00093c, #2d0b00);
  color: #fff;
  padding: 100px 0 30px;
  border-top-left-radius: 125px;
  font-size: 13px;
  line-height: 20px;
}


.col {
  flex-basis: 25%;
  padding: 10px;
}

.col:nth-child(2),
.col:nth-child(3) {
  flex-basis: 15%;
}

.logo {
  width: 80%;
  margin-bottom: 30px;
}

.logo {
  width: 80px;
  margin-bottom: 30px;
}

.col h3 {
  width: fit-content;
  margin-bottom: 40px;
  position: relative;
}

.email-id {
  width: fit-content;
  border-bottom: 1px solid #ccc;
  margin: 20px 0;
}

ul li {
  list-style: none;
  margin-bottom: 12px;
}

ul li a {
  text-decoration: none;
  color: #fff;
}

.cu {
  padding-bottom: 15px;
  display: flex;
  align-items: center;
  justify-content: space-between;
  border-bottom: 1px solid #ccc;
  margin-bottom: 50px;
}

.social-icons .fab {
  width: 40px;
  height: 40px;
  border-radius: 50%;
  text-align: center;
  line-height: 40px;
  font-size: 20px;
  color: #000;
  background: #fff;
  margin-right: 15px;
  cursor: pointer;
}

hr {
  width: 90%;
  border: 0;
  border-bottom: 1px solid #ccc;
  margin: 20px auto;
}

.copyright {
  text-align: center;

}


iframe {
  width: 100%;
  height: 531px;
}

.frame{
  width: 100%;
  height: 256px;
}
footer{
  padding-bottom: 10px;
}
section.footer-area {
  background-color: #000000;
  padding: 40px 0 0 10px;
  background-image: url(/images/shapes/shape-02.png);
  background-repeat: no-repeat;
  /* background-size: cover; */
}

section.footer-area h2 {
  font-size: 20px;
  font-family: 'Poppins', sans-serif;
  color: rgb(255, 255, 255);
  font-weight: bold;
  margin-bottom: 45px;
}

section.footer-area p, section.footer-area li a {
  font-size: 16px;
  font-family: 'Rubik', sans-serif;
  color: rgb(223, 223, 223);
  line-height: 2.118;
}

section.footer-area ul li a:hover {
  color: rgb(255, 255, 255);
}

section.footer-area ul {
  max-height: 182px;
  list-style: none;
  display: flex;
  flex-flow: wrap column;
  display: -ms-flexbox;
  /* IE 10 */
  display: -webkit-flex;
  /* Safari 6.1+. iOS 7.1+ */
  -webkit-flex-flow: wrap column;
  /* Safari 6.1+ */
  padding-left: 20px;
  -moz-column-gap: 64px;
  -webkit-column-gap: 64px;
  column-gap: 64px;
}

section.footer-area li {
  position: relative;
}

section.footer-area li:before {
  content: "";
  border-color: transparent #ffffff;
  border-style: solid;
  border-width: 0.35em 0 0.35em 0.45em;
  display: block;
  height: 0;
  width: 0;
  left: -23px;
  top: 13px;
  position: absolute;
}

section.footer-area input {
  background: transparent;
  margin: 0;
  float: left;
  color: #0075bb;
  transition: 0.3s;
}

section.footer-area input::placeholder {
  color: rgb(100, 117, 137);
}

section.footer-area form {
  overflow: hidden;
  height: 37px;
}

section.footer-area input[type="date"], section.footer-area input[type="datetime"], section.footer-area input[type="datetime-local"], section.footer-area input[type="email"], section.footer-area input[type="file"], section.footer-area input[type="month"], section.footer-area input[type="number"], section.footer-area input[type="password"], section.footer-area input[type="range"], section.footer-area input[type="search"], section.footer-area input[type="text"], section.footer-area input[type="tel"], section.footer-area input[type="time"], section.footer-area input[type="url"], section.footer-area input[type="week"] {
  padding: 7px 16px;
  width: 70%;
  font-size: 14px;
  font-family: 'Rubik', sans-serif;
  border: 1px solid rgb(224, 224, 224);
  height: 37px;
}

section.footer-area input[type="submit"], section.footer-area input[type="button"] {
  width: 30%;
  background: #0075bb;
  font-size: 14px;
  font-family: 'Rubik', sans-serif;
  color: rgb(255, 255, 255);
  font-weight: 700;
  text-transform: uppercase;
  padding: 8px 0;
  border: none;
  transition: 0.3s;
  height: 37px;
}

section.footer-area input[type="submit"]:hover {
  background: #4554b4;
  transition: 0.3s;
}

section.footer-area input[type="submit"]:active {
  background: #0075bb;
  transition: 0.3s;
}

.footer-image
{
  background-color: #fff;
  padding: 0px 10px;
  border-radius: 10px;
  max-width:260px;
}
.footer-social {
  padding-top: 30px;
  display: inline-block;
}

.footer-social svg {
  margin-right: 19px;
  font-size: 16px;
  color: rgb(30, 42, 120);
  line-height: 1.125;
}

a.go-to-top {
  position: fixed;
  top: 88%;
  /* left: calc(100% + 256px); */
  left: -95px;
  color: white;
  background: #0075bb;
  padding: 10px 12px;
  font-size: 14px;
  z-index:0;
}

a.go-to-top:hover {
  color: #0075bb;
  background: white;
}
